Pertanyaan Pengandar Nvidia diaktifkan tetapi saat ini tidak digunakan


Saya baru saja selesai menginstal ubuntu 11.04 beta 2. Pada akhir instalasi saya mendapat pesan yang memberitahukan bahwa saya tidak memiliki perangkat keras yang diperlukan untuk persatuan, dan bahwa saya harus memilih "ubuntu klasik".

Bisakah seseorang menjelaskan beberapa cara untuk memperbaiki ini? Saya telah mencoba menambahkan driver "xyz eksperimental 3d" tapi tetap tidak berhasil. Ketika saya keluar dan mencoba masuk kembali, tidak ada pilihan untuk bersatu.

Kartu grafis saya adalah nvidia 240gt atau gt240, saya tidak ingat sekarang ke mana saja.

Saya mengaktifkan "dukungan 3d eksperimental untuk kartu nvidia" - ini adalah apa yang saya rawat di atas, bukan driver - maaf tentang itu.

Experimental 3d support


20
2018-04-26 10:12


asal


Apa jenis kartu video yang Anda miliki? - Egil
Harap edit pertanyaan Anda dan beri kami detail tentang driver yang Anda pasang. Driver "xyz eksperimental 3d" tidak ada. - Takkat
info yang diminta ditambahkan. - Craigt
hanya ditingkatkan untuk 11.04 dan saya punya masalah yang sama! membantu! nvidia geforce pergi 7300 - suli8


Jawaban:


Ada laporan bug untuk masalah ini di launchpad: joki / + bug / 771788 e nvidia-graphics-drivers-173 / + bug / 772207. Tambahkan detail kartu Anda lalu tandai untuk melaporkan bahwa Anda memiliki masalah. Mudah-mudahan, ini akan segera diperbaiki!


7
2018-04-29 15:08





Saya memiliki masalah dengan kartu nvidia saya juga, dan saya pikir Jawabanku pertanyaan serupa mungkin bisa membantu Anda. Ini daftar semua upaya saya (semua yang saya temukan), ditambah apa yang akhirnya berhasil untuk saya: menambahkan nopat ke parameter kernel saat boot. Ini adalah masalah yang diketahui dengan kartu nvidia.

Untuk kasus ini, yang saya harap harus berfungsi adalah:

  • gunakan versi 173 dari driver nvidia
  • memaksa memulai kesatuan, dengan menambahkan UNITY_FORCE_START=1 untuk /etc/environment

6
2018-05-02 07:48



itu nopat tidak ada bedanya bagi saya :-( - aioobe


Tampaknya ada bug di aplikasi yang memeriksa pembaruan driver - joki Lihat ini.

Anda dapat menguji apakah itu digunakan setidaknya dalam tiga cara. Periksa perintah dan output berikut:

/usr/lib/nux/unity_support_test -p  

enter image description here

lspci | grep nVidia  

enter image description here 

sudo lshw -C display

enter image description here 

Referensi.


4
2018-05-24 00:01





Saya memiliki konfigurasi yang sama dan pesan yang persis sama dengan Anda. Tetapi frase "driver tidak sedang digunakan" adalah salah. Driver IS digunakan. Periksa glxgears, jika Anda punya ~ 7800 fps, santai saja.


3
2018-04-29 16:52





Untuk mengutip screenshot Anda,

Driver ini diaktifkan tetapi tidak   sedang digunakan.

Sudahkah Anda memulai ulang setelah menginstal driver Nvidia? Anda tidak dapat menggunakannya selama driver lama masih dimuat di kernel.


1
2018-04-26 12:02



BTW, saya punya GT240 dan Unity bekerja dengan baik di luar kotak ... - Extender
Saya memiliki masalah yang sama. Setelah saya reboot, dan tidak berhasil. Apa yang bisa saya lakukan selanjutnya? terima kasih ~ - sam


Pengemudi hak milik di Ubuntu adalah driver untuk perangkat keras Anda yang tidak tersedia secara bebas atau sumber terbuka, dan harus diperoleh dari produsen perangkat keras. Pengandar video sumber gratis dan terbuka, Nouveau, apakah driver Ubuntu akan digunakan sebagai standar untuk Nvidia kartu grafis. Nouveau tidak memiliki dukungan untuk 3D dan mungkin tidak berfungsi sama sekali dengan kartu video terbaru dari Nvidia. Pengemudi eksklusif, sumber tertutup, adalah alternatif untuk Nouveau, dan sebagian besar waktu menyediakan akselerasi 3D yang luar biasa dan dukungan / kinerja kartu video secara keseluruhan. Mengikuti instruksi ini untuk menginstal driver proprietary untuk Kartu Grafis Nvidia Anda.

enter image description here


0
2018-01-16 14:23





Saya memiliki masalah yang sama, tetapi tidak ada jawaban di sini yang memperbaikinya untuk saya. Saya akhirnya memperbaikinya dengan melakukan ini:

sudo modprobe nvidia

Yang memberi saya peringatan itu nvidia_319 sebetulnya dimasukkan daftar hitam ...? Jadi saya lakukan:

$ cd /etc/modprobe.d
$ sudo fgrep nvidia * | fgrep blacklist

yang memberitahu saya bahwa pemasangan bumblebee saya yang sebelumnya telah melanggar driver nvidia biasa. Jadi saya lakukan:

$ sudo apt-get remove bumblebee
$ sudo rm bumblebee.conf

Dan itu memperbaiki masalahnya. Jika Anda memiliki masalah ini, mungkin ini bukan masalah yang tepat dengan bumblebee, tetapi jika driver nvidia Anda entah bagaimana masuk daftar hitam, metode ini akan memberi tahu Anda apa yang membuat daftar hitam mereka dan mengapa, dan Anda dapat mencoba untuk menghadapinya dengan cara itu. Menu "Driver Tambahan" dan jockey-text -l tidak akan memberi tahu Anda bahwa ini bisa menjadi masalah daftar hitam.


Jika jawaban di atas atau yang lain tidak membantu, pastikan bahwa nouveau masuk daftar hitam dan kemudian instal ulang driver nvidia. Menginstal nvidia harus melakukan ini untuk Anda, dengan membuat file seperti ini (tetapi jika tidak, salin yang ini dan pastikan untuk memasukkan semua driver ke daftar hitam tetapi yang tidak ingin Anda gunakan)

/etc/modprobe.d/nvidia-graphics-drivers.conf:

blacklist nouveau
blacklist lbm-nouveau
blacklist nvidia-173
blacklist nvidia-96
alias nvidia nvidia-current 

0
2017-10-16 01:00





Anda dapat memeriksa kesatuan-2d karena ini akan menjadi lingkungan fallback dari 11.10. Sejauh yang saya mengerti, kartu grafis Anda tidak memenuhi persyaratan 3d kesatuan yang merupakan lingkungan desktop default. Anda dapat mencoba gnome desktop klasik yang masih tersedia.

Lihat sini untuk informasi tentang persyaratan perangkat keras.

Periksa ini untuk menginstal kesatuan-2d. Di 11.04 Anda dapat menginstal unity-2d:

EDIT: Saat saya melihat tangkapan layar, saya hanya dapat merekomendasikan satu pengandar aktif daripada keduanya. Saya rasa ada banyak masalah mengenai Nvidia dan Ubuntu yang lebih baru


-2
2018-04-26 10:29





Saya pikir Anda memiliki driver nvidia yang diinstal sebagai paket deb tetapi tidak driver itu sendiri sehingga Anda perlu header kernel untuk itu saya pikir dari terminal

sudo apt-get install linux-headers-2.6.38-8-generic-pae
sudo apt-get install linux-image-2.6.38-8-generic-pae

atau hanya mencari mereka di sinaptik


-2
2018-05-02 06:59